GET /mail-pro/domains/{domain_id}
Get a Mail Pro domain
Scopes mailpro:read / mailpro:write. Galon Mail Pro (hosted mailboxes) is served only when the service is open to the account (404 not_found otherwise). Errors: envelope {"error": {code, message_key, retryable, ...}}, mailpro.* codes.
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
domain_id | path | string · required | Mail Pro domain identifier |
Responses
| Status | Description | Body |
|---|---|---|
200 | Status and DNS lines | object |
401 | Key missing or invalid | Error |
Examples
curl
curl -X GET "$GALON_API_BASE/mail-pro/domains/<domain_id>" \
-H "Authorization: Bearer $GALON_API_KEY"DELETE /mail-pro/domains/{domain_id}
Remove a Mail Pro domain
Scopes mailpro:read / mailpro:write. Galon Mail Pro (hosted mailboxes) is served only when the service is open to the account (404 not_found otherwise). Errors: envelope {"error": {code, message_key, retryable, ...}}, mailpro.* codes. Refused while a mailbox or an alias lives on it.
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
domain_id | path | string · required | Mail Pro domain identifier |
Responses
| Status | Description | Body |
|---|---|---|
200 | Domain removed | object |
401 | Key missing or invalid | Error |
Examples
curl
curl -X DELETE "$GALON_API_BASE/mail-pro/domains/<domain_id>" \
-H "Authorization: Bearer $GALON_API_KEY"